1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Broke Hyperion on new Kodi update

Discussion in 'Bug Reports' started by Boo, 8 January 2017.

  1. Brindosch

    Brindosch Administrator Administrator

    Messages:
    679
    Hardware:
    RPi1/Zero, RPi2, RPi3, +nodeMCU/ESP8266
    I will look into the missing libs and update the package for hassle free updates. Thank you for investigation.
     
  2. jopacer

    jopacer New Member

    Messages:
    2
    Hardware:
    RPi3
    Thanks . Works Perfect!!!
     
  3. penfold42

    penfold42 Moderator Developer

    Messages:
    742
    Hardware:
    RPi1/Zero, RPi2, RPi3, 32/64bit, +Arduino, +nodeMCU/ESP8266
    Should we also include the updated rpi281x library while you're at t ?
     
  4. Pnuts76

    Pnuts76 New Member

    Messages:
    11
    Hardware:
    RPi2
    Much appreciated!
    This will help people when upgrading to OpenELEC 8.x or doing a fresh install with the actual version and will keep us from troubleshooting... ;)
    Thank you very much for your work on this and keep up the good work!
     
  5. may__yeah

    may__yeah New Member

    Messages:
    2
    Hardware:
    RPi1/Zero
    @Pnuts76 Can u help me too?! please
     
  6. Pnuts76

    Pnuts76 New Member

    Messages:
    11
    Hardware:
    RPi2
    Sure... you've got mail in your inbox...
     
    • Like Like x 1
  7. Brindosch

    Brindosch Administrator Administrator

    Messages:
    679
    Hardware:
    RPi1/Zero, RPi2, RPi3, +nodeMCU/ESP8266
    Why not. Just do a pr. I wanted to look into the pending prs anyway. But time melts down so fast.
     
  8. may__yeah

    may__yeah New Member

    Messages:
    2
    Hardware:
    RPi1/Zero
    Special Thanks to @Pnuts76!!
    He is my guy of the day!!
     
  9. licht77

    licht77 New Member

    Messages:
    2
    Same problem here... any chance to share those 2 missing files in public?
     
  10. licht77

    licht77 New Member

    Messages:
    2
    Thanks for the files! Maybe you can just put the link in here?
     
  11. Pnuts76

    Pnuts76 New Member

    Messages:
    11
    Hardware:
    RPi2
    Nope... if someone wants to make them public, don't hesitate to do that, but please, not with this link.
    It's only a workaround and has to be fixed different...
    But if you want to share them, just go for it.
     
    Last edited: 23 April 2017
  12. Max92

    Max92 New Member

    Messages:
    2
    Hardware:
    RPi3
    Hello everybody
    I have the same probleme with my openelec 8.1
    Is it possible to have the file ? :) (Pnuts76)
    Best regards
     
  13. Max92

    Max92 New Member

    Messages:
    2
    Hardware:
    RPi3
    Worked ! Perfect Thx
    I try the dowgrade it great and i also test your link :)

    For people the fin command is :
    find / -name libfontconfig*
    find / -name libfreetype.so* (with the /)
     
  14. Brindosch

    Brindosch Administrator Administrator

    Messages:
    679
    Hardware:
    RPi1/Zero, RPi2, RPi3, +nodeMCU/ESP8266
    I updated the packages, could someone test if all works?
    Thank you
     
  15. HITMIK

    HITMIK New Member

    Messages:
    3
    Hardware:
    RPi3
    @Pnuts76

    Hi, can you help me with this problem, please? (inbox)
     
  16. Pnuts76

    Pnuts76 New Member

    Messages:
    11
    Hardware:
    RPi2
    @HITMIK
    No. As you can read one post in front of yours, Brindosch has updated the packages. So please update your hyperion installation (through hypercon or by the install.sh) and hopefully everything is working again.
    It would be nice, if you can post afterwards, if the new packages are working.

    @Brindosch
    Thank you for fixing the packages!
     
  17. HITMIK

    HITMIK New Member

    Messages:
    3
    Hardware:
    RPi3
    Yeah!

    Its perfect! I had 7.0.1, update hyperion with (sh ./install_hyperion.sh) and next step was upgrade to 8.0.2.
     
    • Like Like x 1
  18. gerrit

    gerrit New Member

    Messages:
    2
    @Pnuts76 can you please help me out as well?

    Thanks!
     
  19. Pnuts76

    Pnuts76 New Member

    Messages:
    11
    Hardware:
    RPi2
    @gerrit Did you read my last post, just two posts in front of yours? Libs were fixed by the devs back in April, so simply (re-)installing/updating hyperion should do the trick...
     
  20. gerrit

    gerrit New Member

    Messages:
    2
    Ah, works now...